Skip to main content
GET
Get an Invoice by ID

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Invoice ID

Response

OK

id
string
required

Invoice ID

Example:

"6cedbb5e-4f77-4217-b8d4-020e7e4d33c9"

sequenceAccountId
string
required

Sequence Account ID

Example:

"68233908-402a-43b4-8952-1c2ab0ef0b25"

status
enum<string>
required

Invoice status

Available options:
IN_PROGRESS,
DRAFT,
FINAL,
SENT,
VOIDED
Example:

"SENT"

currency
enum<string>
required

Invoice currency

Available options:
AED,
ARS,
AUD,
BRL,
BGN,
CAD,
CHF,
CLP,
CNY,
COP,
CZK,
DKK,
EGP,
EUR,
GBP,
HKD,
ILS,
INR,
ISK,
JPY,
KRW,
MXN,
NOK,
NZD,
PLN,
SAR,
SEK,
SGD,
THB,
USD,
UYU,
ZAR
Example:

"GBP"

customerEmails
string[]
required

Customer email addresses, used for sending the Invoice if provided

Example:

Customer's legal company name

Example:

"Facebook"

customerBillingAddress
object
required

Customer's billing address

Example:
customerShippingAddress
object
required

Customer's billing address

Example:
customerId
string
required

The ID of the Customer this invoice is linked to

Example:

"61b083e0-1faa-47ca-9aeb-6205da8f6c47"

totalTax
string
required

Total tax, in decimal format of the Invoice's currency

Example:

"2.50"

netTotal
string
required

Net total, in decimal format of the Invoice's currency

Example:

"51.20"

grossTotal
string
required

Gross total, in decimal format of the Invoice's currency

Example:

"101.23"

metadata
object[]
required

Mapping of key-value pairs to attach to the Invoice. These are not interpreted by Sequence; they are present for your use alone.

Example:
paymentStatus
enum<string>
required

Invoice payment status

Available options:
UNPAID,
PARTIALLY_PAID,
PAID,
UNCOLLECTIBLE
Example:

"UNPAID"

createdAt
string
required

Creation time

Example:

"2022-10-30T00:00:00Z"

updatedAt
string
required

Updated time

Example:

"2022-10-30T00:00:00Z"

creditNoteIds
string[]
required

IDs of linked credit notes (if any)

Example:
linkedServices
object[]
required

External services which are linked to this invoice

Example:
accountingDate
string
required

Accounting date

Example:

"2022-09-30"

renderSettings
object
required

Settings that control how the invoice is rendered.

Example:
isCustomerArchived
boolean
required

isCustomerArchived

Example:

false

integrationPaymentStatuses
object
required

Payment or sync status per integration service

Example:
appliedCreditNotes
object[]
required

Credit notes applied to this invoice, with per-credit-note totals and line items

Example:
paymentAllocations
object[]
required

Payments allocated to this invoice, with per-payment amounts and dates

Example:
dueDateSource
enum<string>
required

How the due date was determined: MANUAL when set to a fixed date, CALCULATED when computed from payment terms.

Available options:
MANUAL,
CALCULATED
Example:

"CALCULATED"

billingScheduleId
string

Billing Schedule ID

Example:

"fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95"

billingRunId
string

Billing Run ID

Example:

"9c5fdd27-1f7a-41e7-ab67-14f65272a853"

invoiceNumber
string

Invoice number

Example:

"INV00001"

issueDate
string

Issue date

Example:

"2022-09-15"

dueDate
string

Due date

Example:

"2022-09-30"

purchaseOrderNumber
string

Purchase order number

Example:

"PO123"

reference
string

Reference

Example:

"ref"

memo
string

Invoice memo

Example:

"Thanks"

paymentOptions
enum<string>[]

Invoice payment options

Available options:
BANK_TRANSFER,
LINK
Example:
billingPeriod
object

Billing period

Example:
customerTaxId
string

Customer's tax ID

Example:

"TAX123"

merchantDetails
object

Merchant details

Example:
creditBalances
string

Credit balances

Example:

"Verification 2 credit balance: 7/7 (expiring on 4 May 2023)"

dunningStatus
enum<string>

Dunning status

Available options:
SCHEDULED,
OVERDUE_CHECK_SCHEDULED,
COMPLETED,
FAILED,
NOT_REQUIRED
Example:

"SCHEDULED"

calculatedAt
string

Time this invoice was last calculated (applicable for invoices generated by billing engine only)

Example:

"2022-09-30T00:00:00Z"

customerTaxStatus
enum<string>

Customer tax status

Available options:
TAXED,
TAX_EXEMPT,
REVERSE_CHARGED
Example:

"TAXED"

attachmentAssets
object[]

Assets attached to this invoice

Example:
balance
string

Outstanding amount owed on this invoice

Example:

"1000.00"

balanceVersion
integer<int64>

Ledger version of the balance. Advances each time the balance changes; null when the invoice has no ledger balance.

Example:

0

paymentTermDays
integer

Payment terms in days. The due date is computed from these terms.

Example:

30